Bug 102994 - rpm --rebuild generates error: "db4 error(16) from dbenv->remove"
rpm --rebuild generates error: "db4 error(16) from dbenv->remove"
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-24 12:40 EDT by baulv
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-25 11:55:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
part of the buffer from "strace rpm --rebuilddb" (16.40 KB, text/plain)
2003-08-24 12:43 EDT, baulv
no flags Details

  None (edit)
Description baulv 2003-08-24 12:40:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
same rh9 on a second machine generates this same error message when doing a "rpm
--rebuilddb"
"db4 error(16) from dbenv->remove"


Version-Release number of selected component (if applicable):
rpm-4.2-0.69

How reproducible:
Always

Steps to Reproduce:
1. #rpm --rebuilddb
2. wait a minute or so 
3. look! error message! "db4 error(16) from dbenv->remove  dbenv->remove: Device
or resource busy"

    

Actual Results:  got the error message, not sure if __db.* 's got updated.


Expected Results:  no error message would be good 

Additional info:

SMALL part fo strace:

close(3)                                = 0
open("/var/lib/rpm/__db.001", O_RDWR|O_DIRECT|O_LARGEFILE) = 3
fcntl64(3, F_SETFD, FD_CLOEXEC)         = 0
mmap2(NULL, 16384, PROT_READ|PROT_WRITE, MAP_SHARED, 3, 0) = 0x40017000
close(3)                                = 0
munmap(0x40017000, 16384)               = 0
open("/usr/share/locale/en_US.UTF-8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT
(No such file or directory)
open("/usr/share/locale/en_US.utf8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT
(No such file or directory)
open("/usr/share/locale/en_US/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/usr/share/locale/en.UTF-8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/usr/share/locale/en.utf8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/usr/share/locale/en/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such
file or directory)
write(2, "error: ", 7error: )                  = 7
write(2, "db4 error(16) from dbenv->remove"..., 58db4 error(16) from
dbenv->remove: Device or resource busy
) = 58
rt_sigprocmask(SIG_BLOCK, ~[], [33], 8) = 0
rt_sigprocmask(SIG_SETMASK, [33], NULL, 8) = 0
close(21)                               = 0
open("/var/lib/rpmrebuilddb.8574/Pubkeys", O_RDWR|O_LARGEFILE) = 3
fcntl64(3, F_SETFD, FD_CLOEXEC)         = 0
close(3)                                = 0
close(18)                               = 0
close(17)                               = 0
close(16)                               = 0
close(15)                               = 0
Comment 1 baulv 2003-08-24 12:43:33 EDT
Created attachment 93887 [details]
part of the buffer from "strace rpm --rebuilddb" 

look at line 47
Comment 2 baulv 2003-08-24 12:47:48 EDT
[root@w9 root]# ls -l /usr/share/locale/en/LC_MESSAGES/
total 48
-rw-r--r--    1 root     root         3633 Jan 25  2003 psmisc.mo
-rw-r--r--    1 root     root        44439 Jan 25  2003 tcsh
[root@w9 root]#

Comment 3 baulv 2003-08-24 12:54:07 EDT
[root@w9 root]# locate /usr/share/locale/en*/LC_MESSAGES/libc.mo
/usr/share/locale/en_GB/LC_MESSAGES/libc.mo
[root@w9 root]#
Comment 4 Jeff Johnson 2003-08-25 11:55:10 EDT
Error message is harmless. Fixed in rpm-4.2.1 current.

Note You need to log in before you can comment on or make changes to this bug.